BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/operations/execute

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Header Parameters

Idempotency-Key*string

Retry key (8-200 characters). Reusing it with identical input returns the original response; different input returns 409.

Match^[A-Za-z0-9._:-]+$
Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/operations/execute" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "operation": {      "operation_id": "timeline.item.trim",      "timeline_item_id": "string",      "trim_start_delta_seconds": 0,      "trim_end_delta_seconds": 0,      "snap_to_frame": true    },    "expected_revision": 0  }'
{  "success": true,  "project_id": "string",  "mutation_receipt_id": "string",  "idempotency_key": "string",  "base_revision": 0,  "revision": 0,  "replayed": true,  "txid": 0,  "affected_timeline_item_ids": [    "string"  ],  "created_timeline_item_ids": [    "string"  ],  "deleted_timeline_item_ids": [    "string"  ],  "warnings": [    "string"  ],  "operation_id": "timeline.item.trim",  "result": {    "timeline_item_id": "string",    "trim_start_units": "string",    "trim_end_units": "string",    "trim_start_seconds": 0,    "trim_end_seconds": 0,    "message": "string"  }}